# Kandinsky5 Distill

## kandinsky5-distill-text-to-video

> Kandinsky 5.0 Distilled is a lightweight diffusion model for fast, high-quality text-to-video generation.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"kandinsky5-distill"}],"servers":[{"url":"https://video.onerouter.pro","description":"video"}],"security":[],"paths":{"/v1/videos/generations":{"post":{"summary":"kandinsky5-distill-text-to-video","deprecated":false,"description":"Kandinsky 5.0 Distilled is a lightweight diffusion model for fast, high-quality text-to-video generation.","tags":["kandinsky5-distill"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"resolution":{"type":"string","description":"Resolution of the generated video in W:H format. One of (768x512, 512x768, 512x512). Default value: `\"768x512\"`\n\nPossible enum values: `768x512`, `512x768`, `512x512`","enum":["768x512","512x768","512x512"],"default":"768x512"},"video_length":{"type":"string","description":"The length of the video to generate (5s or 10s) Default value: `\"5s\"`\n\nPossible enum values: `5s`, `10s`","enum":["5s","10s"],"default":"5s"},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
